Get current user

Get the authenticated user's profile and roles.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

createIfNotExistbooleanOptional
Create the user if they don't already exist.

Response

OK
avatarUrlstring
The URL for the user's profile image.
createdAtdatetime
The time when the user was created.
fullNamestring
The user's full name.
idstring
The user's ID.
statusenum
The user's status.
updatedAtdatetime
The time when the user was last updated.
usernamestring
The user's username.
featureFlagslist of objects
The user's feature flags.
inviteslist of objects
The user's pending Organization invites.
isIdpManagedboolean
Whether the user is managed by an identity provider.
organizationIdstring
The user's primary Organization ID.
roleslist of objects
The user's roles across all scopes.

Errors

400
Get Self User Request Bad Request Error
401
Get Self User Request Unauthorized Error
500
Get Self User Request Internal Server Error